	.file	"fxtract.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.comm	arg,8,8
	.comm	res1,8,8
	.comm	res2,8,8
#APP
	
do_fxtract:
	finit
	fldl arg
	fxtract
	fstpl res1
	fstpl res2
	ret
	.section	.rodata
.LC2:
	.string	"%17.10e  -> %14.10f %14.10f\n"
#NO_APP
	.text
.globl try
	.type	try, @function
try:
.LFB0:
	.file 1 "fxtract.c"
	.loc 1 19 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
	movl	8(%ebp), %eax
	movl	%eax, -16(%ebp)
	movl	12(%ebp), %eax
	movl	%eax, -12(%ebp)
	.loc 1 20 0
	fldl	-16(%ebp)
	fldl	.LC0
	fmulp	%st, %st(1)
	fstpl	arg
	.loc 1 21 0
	fldz
	fstpl	res2
	fldl	res2
	fstpl	res1
	.loc 1 22 0
	call	do_fxtract
	.loc 1 23 0
	fldl	res2
	fldl	res1
	fldl	arg
	fxch	%st(2)
	movl	$.LC2, %eax
	fstpl	20(%esp)
	fstpl	12(%esp)
	fstpl	4(%esp)
	movl	%eax, (%esp)
	call	printf
	.loc 1 24 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	try, .-try
.globl main
	.type	main, @function
main:
.LFB1:
	.loc 1 27 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$48, %esp
	.loc 1 32 0
	movl	$0, 44(%esp)
	jmp	.L4
.L5:
	.loc 1 33 0
	movl	44(%esp), %edx
	movl	%edx, %eax
	sall	$2, %eax
	addl	%edx, %eax
	addl	%eax, %eax
	subl	$200, %eax
	movl	%eax, 28(%esp)
	fildl	28(%esp)
	fldl	.LC4
	faddp	%st, %st(1)
	fstpl	(%esp)
	call	try
	.loc 1 32 0
	addl	$1, 44(%esp)
.L4:
	cmpl	$39, 44(%esp)
	jle	.L5
	.loc 1 35 0
	fldz
	fstpl	(%esp)
	call	try
	.loc 1 36 0
	fld1
	fldz
	fdivrp	%st, %st(1)
	fstpl	(%esp)
	call	try
	.loc 1 37 0
	fld1
	fchs
	fsqrt
	fucomi	%st(0), %st
	jp	.L11
	je	.L6
	fstp	%st(0)
	jmp	.L10
.L11:
	fstp	%st(0)
.L10:
	fld1
	fchs
	fstpl	(%esp)
	call	sqrt
.L6:
	fstpl	(%esp)
	call	try
	.loc 1 39 0
	fldl	.LC7
	fstpl	(%esp)
	call	try
	.loc 1 40 0
	fldl	.LC8
	fstpl	(%esp)
	call	try
	.loc 1 41 0
	fldl	.LC9
	fstpl	(%esp)
	call	try
	.loc 1 42 0
	fldl	.LC10
	fstpl	(%esp)
	call	try
	.loc 1 43 0
	fldl	.LC11
	fstpl	(%esp)
	call	try
	.loc 1 44 0
	fldl	.LC12
	fstpl	(%esp)
	call	try
	.loc 1 45 0
	fldl	.LC13
	fstpl	(%esp)
	call	try
	.loc 1 46 0
	fldl	.LC14
	fstpl	(%esp)
	call	try
	.loc 1 47 0
	fldl	.LC15
	fstpl	(%esp)
	call	try
	.loc 1 48 0
	fldl	.LC16
	fstpl	(%esp)
	call	try
	.loc 1 49 0
	fldl	.LC17
	fstpl	(%esp)
	call	try
	.loc 1 50 0
	fldl	.LC18
	fstpl	(%esp)
	call	try
	.loc 1 52 0
	fldl	.LC19
	fstpl	(%esp)
	call	try
	.loc 1 53 0
	fldl	.LC20
	fstpl	(%esp)
	call	try
	.loc 1 54 0
	fldl	.LC21
	fstpl	(%esp)
	call	try
	.loc 1 55 0
	fldl	.LC22
	fstpl	(%esp)
	call	try
	.loc 1 56 0
	fldl	.LC23
	fstpl	(%esp)
	call	try
	.loc 1 57 0
	fldl	.LC24
	fstpl	(%esp)
	call	try
	.loc 1 58 0
	fldl	.LC24
	fstpl	(%esp)
	call	try
	.loc 1 59 0
	fldl	.LC24
	fstpl	(%esp)
	call	try
	.loc 1 60 0
	fldz
	fstpl	(%esp)
	call	try
	.loc 1 61 0
	fldz
	fstpl	(%esp)
	call	try
	.loc 1 65 0
	movl	$10, (%esp)
	call	putchar
	.loc 1 66 0
	movl	$0, 44(%esp)
	jmp	.L7
.L8:
	.loc 1 67 0
	movl	44(%esp), %edx
	movl	%edx, %eax
	sall	$2, %eax
	addl	%edx, %eax
	addl	%eax, %eax
	subl	$200, %eax
	movl	%eax, 28(%esp)
	fildl	28(%esp)
	fldl	.LC4
	faddp	%st, %st(1)
	fchs
	fstpl	(%esp)
	call	try
	.loc 1 66 0
	addl	$1, 44(%esp)
.L7:
	cmpl	$39, 44(%esp)
	jle	.L8
	.loc 1 69 0
	fldz
	fchs
	fstpl	(%esp)
	call	try
	.loc 1 70 0
	fld1
	fldz
	fchs
	fdivrp	%st, %st(1)
	fstpl	(%esp)
	call	try
	.loc 1 71 0
	fld1
	fchs
	fstpl	(%esp)
	call	sqrt
	fchs
	fstpl	(%esp)
	call	try
	.loc 1 73 0
	fldl	.LC26
	fstpl	(%esp)
	call	try
	.loc 1 74 0
	fldl	.LC27
	fstpl	(%esp)
	call	try
	.loc 1 75 0
	fldl	.LC28
	fstpl	(%esp)
	call	try
	.loc 1 76 0
	fldl	.LC29
	fstpl	(%esp)
	call	try
	.loc 1 77 0
	fldl	.LC30
	fstpl	(%esp)
	call	try
	.loc 1 78 0
	fldl	.LC31
	fstpl	(%esp)
	call	try
	.loc 1 79 0
	fldl	.LC32
	fstpl	(%esp)
	call	try
	.loc 1 80 0
	fldl	.LC33
	fstpl	(%esp)
	call	try
	.loc 1 81 0
	fldl	.LC34
	fstpl	(%esp)
	call	try
	.loc 1 82 0
	fldl	.LC35
	fstpl	(%esp)
	call	try
	.loc 1 83 0
	fldl	.LC36
	fstpl	(%esp)
	call	try
	.loc 1 84 0
	fldl	.LC37
	fstpl	(%esp)
	call	try
	.loc 1 86 0
	fldl	.LC38
	fstpl	(%esp)
	call	try
	.loc 1 87 0
	fldl	.LC39
	fstpl	(%esp)
	call	try
	.loc 1 88 0
	fldl	.LC40
	fstpl	(%esp)
	call	try
	.loc 1 89 0
	fldl	.LC41
	fstpl	(%esp)
	call	try
	.loc 1 90 0
	fldl	.LC42
	fstpl	(%esp)
	call	try
	.loc 1 91 0
	fldl	.LC43
	fstpl	(%esp)
	call	try
	.loc 1 92 0
	fldl	.LC43
	fstpl	(%esp)
	call	try
	.loc 1 93 0
	fldl	.LC43
	fstpl	(%esp)
	call	try
	.loc 1 94 0
	fldz
	fchs
	fstpl	(%esp)
	call	try
	.loc 1 95 0
	fldz
	fchs
	fstpl	(%esp)
	call	try
	.loc 1 97 0
	movl	$0, %eax
	.loc 1 98 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	main, .-main
	.section	.rodata
	.align 8
.LC0:
	.long	1719614205
	.long	1073127582
	.align 8
.LC4:
	.long	-2061584302
	.long	1072976363
	.align 8
.LC7:
	.long	-445299483
	.long	2250274
	.align 8
.LC8:
	.long	1389404407
	.long	1932143
	.align 8
.LC9:
	.long	-625559515
	.long	1460888
	.align 8
.LC10:
	.long	1654443859
	.long	989634
	.align 8
.LC11:
	.long	-360520063
	.long	518379
	.align 8
.LC12:
	.long	95480612
	.long	424129
	.align 8
.LC13:
	.long	551481286
	.long	329878
	.align 8
.LC14:
	.long	-1368002024
	.long	282752
	.align 8
.LC15:
	.long	1007481961
	.long	235627
	.align 8
.LC16:
	.long	-912001350
	.long	188501
	.align 8
.LC17:
	.long	1463482636
	.long	141376
	.align 8
.LC18:
	.long	1919483311
	.long	47125
	.align 8
.LC19:
	.long	2631
	.long	0
	.align 8
.LC20:
	.long	263
	.long	0
	.align 8
.LC21:
	.long	26
	.long	0
	.align 8
.LC22:
	.long	3
	.long	0
	.align 8
.LC23:
	.long	2
	.long	0
	.align 8
.LC24:
	.long	1
	.long	0
	.align 8
.LC26:
	.long	-445299483
	.long	-2145233374
	.align 8
.LC27:
	.long	1389404407
	.long	-2145551505
	.align 8
.LC28:
	.long	-625559515
	.long	-2146022760
	.align 8
.LC29:
	.long	1654443859
	.long	-2146494014
	.align 8
.LC30:
	.long	-360520063
	.long	-2146965269
	.align 8
.LC31:
	.long	95480612
	.long	-2147059519
	.align 8
.LC32:
	.long	551481286
	.long	-2147153770
	.align 8
.LC33:
	.long	-1368002024
	.long	-2147200896
	.align 8
.LC34:
	.long	1007481961
	.long	-2147248021
	.align 8
.LC35:
	.long	-912001350
	.long	-2147295147
	.align 8
.LC36:
	.long	1463482636
	.long	-2147342272
	.align 8
.LC37:
	.long	1919483311
	.long	-2147436523
	.align 8
.LC38:
	.long	2631
	.long	-2147483648
	.align 8
.LC39:
	.long	263
	.long	-2147483648
	.align 8
.LC40:
	.long	26
	.long	-2147483648
	.align 8
.LC41:
	.long	3
	.long	-2147483648
	.align 8
.LC42:
	.long	2
	.long	-2147483648
	.align 8
.LC43:
	.long	1
	.long	-2147483648
	.text
.Letext0:
	.section	.debug_info
	.long	0x126
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF14
	.byte	0x1
	.long	.LASF15
	.long	.LASF16
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x2
	.byte	0xc
	.byte	0x4
	.long	.LASF10
	.uleb128 0x2
	.byte	0x8
	.byte	0x4
	.long	.LASF11
	.uleb128 0x4
	.byte	0x1
	.string	"try"
	.byte	0x1
	.byte	0x12
	.byte	0x1
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xa4
	.uleb128 0x5
	.string	"x"
	.byte	0x1
	.byte	0x12
	.long	0x79
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.byte	0x0
	.uleb128 0x6
	.byte	0x1
	.long	.LASF17
	.byte	0x1
	.byte	0x1a
	.byte	0x1
	.long	0x4f
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0xcc
	.uleb128 0x7
	.string	"i"
	.byte	0x1
	.byte	0x1c
	.long	0x4f
	.byte	0x2
	.byte	0x74
	.sleb128 44
	.byte	0x0
	.uleb128 0x8
	.string	"arg"
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x1
	.uleb128 0x9
	.long	.LASF12
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x1
	.uleb128 0x9
	.long	.LASF13
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x1
	.uleb128 0xa
	.string	"arg"
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	arg
	.uleb128 0xb
	.long	.LASF12
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	res1
	.uleb128 0xb
	.long	.LASF13
	.byte	0x1
	.byte	0x5
	.long	0x79
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	res2
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x39
	.value	0x2
	.long	.Ldebug_info0
	.long	0x12a
	.long	0x80
	.string	"try"
	.long	0xa4
	.string	"main"
	.long	0xf3
	.string	"arg"
	.long	0x105
	.string	"res1"
	.long	0x117
	.string	"res2"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xe
	.value	0x2
	.long	.Ldebug_info0
	.long	0x12a
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF6:
	.string	"long long int"
.LASF14:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF0:
	.string	"unsigned int"
.LASF15:
	.string	"fxtract.c"
.LASF3:
	.string	"long unsigned int"
.LASF7:
	.string	"long long unsigned int"
.LASF1:
	.string	"unsigned char"
.LASF13:
	.string	"res2"
.LASF17:
	.string	"main"
.LASF8:
	.string	"long int"
.LASF16:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/none/tests/x86"
.LASF12:
	.string	"res1"
.LASF11:
	.string	"double"
.LASF2:
	.string	"short unsigned int"
.LASF4:
	.string	"signed char"
.LASF10:
	.string	"long double"
.LASF5:
	.string	"short int"
.LASF9:
	.string	"char"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
